EXIF library (libexif) API 0.6.24

Data Fields
_ExifEntry Struct Reference

Data found in one EXIF tag. More...

`#include <exif-entry.h>`

## Data Fields
ExifTag | tag
| EXIF tag for this entry.
ExifFormat | format
| Type of data in this entry.
unsigned long | components
| Number of elements in the array, if this is an array entry. More...
unsigned char * | data
| Pointer to the raw EXIF data for this entry. More...
unsigned int | size
| Number of bytes in the buffer at `data`. More...
ExifContent * | parent
| ExifContent containing this entry. More...
ExifEntryPrivate * | priv
| Internal data to be used by libexif itself.

## Detailed Description

Data found in one EXIF tag.

## Field Documentation

## ◆ components

unsigned long _ExifEntry::components

Number of elements in the array, if this is an array entry.

Contains 1 for non-array data types.

Referenced by exif_entry_get_value().

## ◆ data

unsigned char* _ExifEntry::data

Pointer to the raw EXIF data for this entry.

It is allocated by exif_entry_initialize and is NULL beforehand. Data contained here may be manipulated using the functions in exif-utils.h

Referenced by exif_entry_free(), and exif_entry_initialize().

## ◆ parent

ExifContent* _ExifEntry::parent

ExifContent containing this entry.

See also
  exif_entry_get_ifd

Referenced by exif_content_add_entry(), exif_content_remove_entry(), exif_entry_get_value(), and exif_entry_initialize().

## ◆ size

unsigned int _ExifEntry::size

Number of bytes in the buffer at `data`.

This must be no less than exif_format_get_size(format)*components

Referenced by exif_entry_get_value().

The documentation for this struct was generated from the following file:

- libexif/exif-entry.h